{{- if .Values.sealedSecretEnv }}
apiVersion: bitnami.com/v1alpha1
kind: SealedSecret
metadata:
  name: {{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  annotations:
    sealedsecrets.bitnami.com/cluster-wide: "true"
spec:
  encryptedData:
  {{- range $key, $val := .Values.sealedSecretEnv }}
    {{ $key }}: {{ $val | quote }}
  {{- end }}
  template:
    metadata:
      name: {{ .Release.Name }}
      namespace: {{ .Release.Namespace }}
{{- end }}
